# Uses of Interface
org.eclipse.birt.report.engine.api.script.instance.IDataItemInstance

Packages that use IDataItemInstance
Package
Description
org.eclipse.birt.report.engine.api.script.eventadapter
This package contains adapters for the event handler interfaces in org.eclipse.birt.report.engine.api.script.eventhandler.
org.eclipse.birt.report.engine.api.script.eventhandler
This package contains event handler interfaces for the BIRT scripting environment.

## Uses of IDataItemInstance in org.eclipse.birt.report.engine.api.script.eventadapter

Methods in org.eclipse.birt.report.engine.api.script.eventadapter with parameters of type IDataItemInstance
Modifier and Type
Method
Description
`void`
DataItemEventAdapter.`onCreate(IDataItemInstance data, IReportContext reportContext)`
`void`
DataItemEventAdapter.`onPageBreak(IDataItemInstance data, IReportContext reportContext)`
`void`
DataItemEventAdapter.`onRender(IDataItemInstance data, IReportContext reportContext)`

## Uses of IDataItemInstance in org.eclipse.birt.report.engine.api.script.eventhandler

Methods in org.eclipse.birt.report.engine.api.script.eventhandler with parameters of type IDataItemInstance
Modifier and Type
Method
Description
`void`
IDataItemEventHandler.`onCreate(IDataItemInstance data, IReportContext reportContext)`
Handle the onCreate event
`void`
IDataItemEventHandler.`onPageBreak(IDataItemInstance data, IReportContext reportContext)`
Handle the onPageBreak event
`void`
IDataItemEventHandler.`onRender(IDataItemInstance data, IReportContext reportContext)`
Handle the onRender event